Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200709-17 ] teTeX: Multiple buffer overflows
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1539

PostPosted: Thu Sep 27, 2007 10:26 pm    Post subject: [ GLSA 200709-17 ] teTeX: Multiple buffer overflows Reply with quote

Gentoo Linux Security Advisory

Title: teTeX: Multiple buffer overflows (GLSA 200709-17)
Severity: normal
Exploitable: remote
Date: September 27, 2007
Bug(s): #170861, #182055, #188172
ID: 200709-17

Synopsis


Multiple vulnerabilities have been discovered in teTeX, allowing for
user-assisted execution of arbitrary code.


Background


teTeX is a complete TeX distribution for editing documents.


Affected Packages

Package: app-text/tetex
Vulnerable: < 3.0_p1-r4
Unaffected: >= 3.0_p1-r4
Architectures: All supported architectures


Description


Mark Richters discovered a buffer overflow in the open_sty() function
in file mkind.c. Other vulnerabilities have also been discovered in the
same file but might not be exploitable (CVE-2007-0650). Tetex also
includes vulnerable code from GD library (GLSA 200708-05), and from
Xpdf (CVE-2007-3387).


Impact


A remote attacker could entice a user to process a specially crafted
PNG, GIF or PDF file, or to execute "makeindex" on an overly long
filename. In both cases, this could lead to the remote execution of
arbitrary code with the privileges of the user running the application.


Workaround


There is no known workaround at this time.


Resolution


All teTeX users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=app-text/tetex-3.0_p1-r4"


References

CVE-2007-0650
CVE-2007-3387
GLSA-200708-05


Last edited by GLSA on Mon Jun 10, 2013 4:26 am; edited 3 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum